import '../../stencil.core';
import { Drupal } from '@ema/core';
import { ConfigService } from '@ema/core';
export declare class AppDrupal {
    drupal: Drupal;
    loginModal: HTMLElement;
    loginForm: HTMLElement;
    config: ConfigService;
    el: HTMLElement;
    loading: boolean;
    authenticated: boolean;
    model: any;
    currentNode: any;
    currentNid: number;
    drupalHost: string;
    configJson: any;
    componentWillLoad(): void;
    componentDidLoad(): void;
    init(config: any): Promise<void>;
    getData(): Promise<void>;
    login(username: any, password: any): void;
    logout(): void;
    onMenuClick(item: any): Promise<void>;
    showLoginModal(): void;
    render(): JSX.Element;
}
